/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.imode;

/**
 * UID のiモード端末タイプを表す列挙型です。
 * 
 * @author 杉澤 浩二
 */
public enum UIDType {

	/**
	 * PDC 端末を表します。
	 */
	PDC,

	/**
	 * FOMA 端末を表します。
	 */
	FOMA;

	/**
	 * 指定された UID の種類から適切な UID のiモード端末タイプの列挙型を返します。
	 * 
	 * @param code UID の種類
	 * @return UID のiモード端末タイプの列挙型
	 * @throws IllegalArgumentException 適切な UID のiモード端末タイプの列挙型の列挙型が見つからない場合
	 */
	static UIDType getUIDType(final String code) throws IllegalArgumentException {
		if ("00".equals(code))
			return PDC;
		if ("01".equals(code))
			return FOMA;

		throw new IllegalArgumentException(code);
	}

}
